Jump to content
limetech

Unraid OS version 6.7.1 available

43 posts in this topic Last Reply

Recommended Posts

To upgrade:

  • If you are running any 6.4 or later release, click 'Check for Updates' on the Tools/Update OS page.
  • If you are running a pre-6.4 release, click 'Check for Updates' on the Plugins page.
  • If the above doesn't work, navigate to Plugins/Install Plugin, select/copy/paste this plugin URL and click Install:
    https://s3.amazonaws.com/dnld.lime-technology.com/stable/unRAIDServer.plg

     

Refer also to @ljm42 excellent 6.4 Update Notes which are helpful especially if you are upgrading from a pre-6.4 release.

 

Bugs: If you discover a bug or other issue in this release, please open a Stable Releases Bug Report.

 

This is a bug fix and security update release.  Due to another set of processor vulnerabilities called Zombieland, and a set of TCP denial-of-service vulnerabilities called SACK panic, all users are encouraged to update.

 

We are also still trying to track down the source of SQLite Database corruption.  It will also be very helpful for those affected by this issue to also upgrade to this release.

 

Version 6.7.1 2019-06-22

Base distro:

  • btrfs-progs: version 5.1.1
  • curl: version 7.65.1 (CVE-2019-5435, CVE-2019-5436)
  • dhcpcd: version 7.2.2
  • docker: version 18.09.6
  • kernel-firmware: version 20190607_1884732
  • mozilla-firefox: version 66.0.5
  • openssl: version 1.1.1c
  • openssl-solibs: version 1.1.1c
  • php: version 7.2.19 (removed sqlite support)
  • samba: version 4.9.8 (CVE-2018-16860)
  • xfsprogs: version 5.0.0

Linux kernel:

  • version: 4.19.55 (CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091, CVE-2019-11833, CVE-2019-11477, CVE-2019-11478, CVE-2019-11479)
  • intel-microcode: version 20190618

Management:

  • shfs: support FUSE use_ino option
  • Dashboard: added draggable fields in table
  • Dashboard: added custom case image selection
  • Dashboard: enhanced sorting
  • Docker + VM: enhanced sorting
  • Docker: disable button "Update All" instead of hiding it when no updates are available
  • Fix OS update banner overhanging in Auzre / Gray themes
  • Do not allow plugin updates to same version
  • misc style corrections
  • Like 12

Share this post


Link to post
13 minutes ago, Dazog said:

Awesome work.

 

Next Unraid point release can you grab the latest Kernel firmware again to pull in this commit for us AMD users:

 

https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/commit/?id=c436aaf67d93aecfd6ce9f3024efc796a56f8203

 

Thanks again!

 

Damn, I do follow that repo and also the slackware64-current package list.  What happened with this release, was that it was actually built and tested a couple days ago when 4.19.53 was released.  Then noticed kernel was up to .55 very quickly and in looking at change log there is a single change (probably related to 'sack panic' changes) - and any time Greg K-H creates another patch release with a single change, it's probably important 😳  So I did a quick kernel update and rebuilt this 6.7.1 release & didn't notice that firmware update from yesterday - yeah this stuff is changing rapidly these days!

 

How important is the f/w update to you?  I can generate a 6.7.2 pretty quickly if so...

Share this post


Link to post
Posted (edited)

Updated test and prod servers no issues so far, any updates on SAS Spindowns test requirements?

Edited by SimonF
update

Share this post


Link to post
Posted (edited)
35 minutes ago, limetech said:

 

Damn, I do follow that repo and also the slackware64-current package list.  What happened with this release, was that it was actually built and tested a couple days ago when 4.19.53 was released.  Then noticed kernel was up to .55 very quickly and in looking at change log there is a single change (probably related to 'sack panic' changes) - and any time Greg K-H creates another patch release with a single change, it's probably important 😳  So I did a quick kernel update and rebuilt this 6.7.1 release & didn't notice that firmware update from yesterday - yeah this stuff is changing rapidly these days!

 

How important is the f/w update to you?  I can generate a 6.7.2 pretty quickly if so...

Not a CVE. I wouldn't worry.

 

I assume just this is the last update before AMD drops new firmware for Zen2 and EPYC2.

 

 

Be more worried if u did a respin 4 kernel versions will release...

 

Edited by Dazog

Share this post


Link to post

@limetech Sorry Tom, can I get a quick sanity check to just ensure I'm still using the right OOT drivers for this.

 

At the minute I've got Intel 10GB IXGBE v5.5.5 & Tehuti v0.3.6.17.1

 

Would you mind just confirming if that's the case or not.

Share this post


Link to post
37 minutes ago, CHBMB said:

@limetech Sorry Tom, can I get a quick sanity check to just ensure I'm still using the right OOT drivers for this.

 

At the minute I've got Intel 10GB IXGBE v5.5.5 & Tehuti v0.3.6.17.1

 

Would you mind just confirming if that's the case or not.

For tehuti in this 6.7.1 release we're using tn40xx-0.3.6.17

for 6.8 beta we're using tn40xx-0.3.6.17.2 - which only change supposedly is to compile against 5.x Linux kernel.

 

For intel in 6.7.1 release, correct: 5.5.5

for Unraid 6.8 beta - we still use stock ixgbe drivers because still Intel has not released build for Linux 5.x kernel.

Share this post


Link to post

Thanks for all your hard work!  I really appreciate these updates.  My server is updated to v6.7.1, with no problems detected.

Share this post


Link to post
42 minutes ago, limetech said:

For tehuti in this 6.7.1 release we're using tn40xx-0.3.6.17

for 6.8 beta we're using tn40xx-0.3.6.17.2 - which only change supposedly is to compile against 5.x Linux kernel.

 

For intel in 6.7.1 release, correct: 5.5.5

for Unraid 6.8 beta - we still use stock ixgbe drivers because still Intel has not released build for Linux 5.x kernel.

Awesome Thanks

Share this post


Link to post
1 minute ago, notphilip said:

Does this update have drivers for 9900k gpu?

Have to wait for 5.x kernel.

Which i ASSUME will be Unraid 6.8 beta series :)

Share this post


Link to post
11 minutes ago, Dazog said:

Have to wait for 5.x kernel.

Which i ASSUME will be Unraid 6.8 beta series :)

Cool thanks for the quick reply! I’ll go from 6.7 to the 6.8 beta for my next upgrade then. 

Share this post


Link to post

Not a deal breaker by any means but I'm getting this at the left bottom of the page when I upgrade, when I revert it shows me disk location

 

971de8bb-af7f-4bbc-8a5a-87af303f076c.thumb.png.8614d75ef561ec6164082b650e083ebd.pngf7a008db-d9fa-4eab-9df9-3095f5eaff5b.thumb.png.951dd53aa52a501911069cf60f0bcf25.png

Share this post


Link to post
47 minutes ago, mrbilky said:

when I revert it shows me disk location

 

Disk Location isn’t currently compatible with 6.7.1.

Share this post


Link to post
1 hour ago, mrbilky said:

Not a deal breaker by any means but I'm getting this at the left bottom of the page when I upgrade, when I revert it shows me disk location

 

imageproxy.php?img=&key=00b562fcac28e727

Hi

 

I just received information about this and that they have disabled sqlite from php in 6.7.1. Disk Location will be incompatible until I find another way of implementing another database because I am not dealing with ini/conf files for this. 

 

It is seriously annoying, even if it (might) create problems for other users with Unraid, it makes making plugin for Unraid quite annoying. The lack of general documentation and information, and then they suddenly remove support for some major things will destroy the motivation on continuing on the plugin itself.

 

Removing SQLite is one thing, but not adding another SQL database where I can access own created plugin database makes this a very annoying task.

 

So for now, I am sad to say, that the plugin is dead from and including 6.7.1 until SQLite (or any other SQL database) will be accessible for plugins. I am not messing with "text files", it's highly ineffective. Sorry.

 

Anyway, if you have any ideas on how to go on with this, please continue this particular thread in the Disk Location plugin thread at https://forums.unraid.net/topic/77302-plugin-disk-location/

Share this post


Link to post

Updated three systems, no problem. Rock on!

Share this post


Link to post
Posted (edited)

Regarding this addition:

 

shfs: support FUSE use_ino option

 

How do we enable this? Or is this default now?

 

 

 

Also, I ran the upgrade, all ok so far.  I noticed the enable direct io was set back to auto, I put mine back at "no" for now.

Edited by Abzstrak

Share this post


Link to post

Why am I getting this now?

 

sqlite3: command not found

 

Sure makes checking for sqlite corruption hard guys....

Share this post


Link to post
5 hours ago, Geek@Trucker said:

Thank you so much did upgrade from 6.7.0 to 6.7.1 .......NOW NO BOOT. IT's just great!!!!!

 

This normally means that the upgrade did not get written correctly to the USB stick.    Easiest solution is to download the ZIP file version from the Unraid site and extract all the bz* type files overwriting the ones on the USB stick.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.